package co.yixiang.yshop.module.distributor.convert.distributorwithdrawalmethod;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.module.distributor.controller.admin.distributorwithdrawalmethod.vo.*;
import co.yixiang.yshop.module.distributor.dal.dataobject.distributorwithdrawalmethod.DistributorWithdrawalMethodDO;

/**
 * 分销商提现方式 Convert
 *
 * @author admin
 */
@Mapper
public interface DistributorWithdrawalMethodConvert {

    DistributorWithdrawalMethodConvert INSTANCE = Mappers.getMapper(DistributorWithdrawalMethodConvert.class);

    DistributorWithdrawalMethodDO convert(DistributorWithdrawalMethodCreateReqVO bean);

    DistributorWithdrawalMethodDO convert(DistributorWithdrawalMethodUpdateReqVO bean);

    DistributorWithdrawalMethodRespVO convert(DistributorWithdrawalMethodDO bean);

    List<DistributorWithdrawalMethodRespVO> convertList(List<DistributorWithdrawalMethodDO> list);

    PageResult<DistributorWithdrawalMethodRespVO> convertPage(PageResult<DistributorWithdrawalMethodDO> page);

    List<DistributorWithdrawalMethodExcelVO> convertList02(List<DistributorWithdrawalMethodDO> list);

}
